Bug 814663 - Evolution is adding junk when exporting messages to a mbox file
Evolution is adding junk when exporting messages to a mbox file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
16
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 07:07 EDT by Yann Droneaud
Modified: 2012-04-27 01:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: evolution-3.2.3-3.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-27 01:56:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 667576 None None None Never
GNOME Desktop 671527 None None None Never

  None (edit)
Description Yann Droneaud 2012-04-20 07:07:59 EDT
With evolution-3.2.3-2.fc16.src.rpm , exporting emails to a mbox file is broken.

See bugs:
- Junk between messages after saving an mbox file
https://bugzilla.gnome.org/show_bug.cgi?id=667576
- Exporting as mbox creates enormous files, appears to be somewhat mangled
https://bugzilla.gnome.org/show_bug.cgi?id=671527

A fix exists in evolution 3.3. A backport of the fix is required to 3.2.

http://git.gnome.org/browse/evolution/commit/?id=df3495a6ec99d53beeaac6b9a2fde8dfd356c439
Comment 1 Milan Crha 2012-04-23 03:23:40 EDT
Thanks for a bug report. I'm building an update with the patch included.
Comment 2 Fedora Update System 2012-04-23 04:13:56 EDT
evolution-3.2.3-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/evolution-3.2.3-3.fc16
Comment 3 Fedora Update System 2012-04-24 10:57:52 EDT
Package evolution-3.2.3-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing evolution-3.2.3-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6547/evolution-3.2.3-3.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-04-27 01:56:06 EDT
evolution-3.2.3-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.